# JOB NAME: publish-package
# Description:
# Deploys a maven package to local registry
# Requires following job override:
#    variables:
#        $MVN_SETTINGS_FILE
#
.publish-package:
  image: maven:3.3.9-jdk-8  
  stage: publish
  needs: []  
  script:
    - echo $MVN_SETTINGS_FILE
    - mvn deploy -s $MVN_SETTINGS_FILE -Dmaven.test.skip=true
  artifacts:
    paths:
      - target/
    expire_in: 1 week  
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: never
    - if: $MVN_SETTINGS_FILE      


